This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 346941 - Port gdb to use NSS library for cryptography
Port gdb to use NSS library for cryptography
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
 
Reported: 2007-10-23 06:18 EDT by Peter Vrabec
Modified: 2009-03-30 15:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-30 15:59:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:18:06 EDT
gdb should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 John Poelstra 2008-08-11 23:08:25 EDT
triaged
Comment 2 Jan Kratochvil 2009-03-30 15:59:25 EDT
I cannot find any crypto library - like openssl - to be used by GDB:

There is contained libiberty/md5.c in the sources but the function is not even present in the distributed binaries as md5 is not in use by GDB.

gdb/utils.c:gnu_debuglink_crc32() contains some CRC32 function but not aware if it follows some standard and why it would be useful to replace by NSS.  If the same CRC32 is supported by NSS at all.


rpm -q --requires gdb-6.8.50.20090302-12.fc11.x86_64 | sort -u
/bin/sh  
/sbin/install-info  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libc.so.6(GLIBC_2.7)(64bit)  
libc.so.6(GLIBC_2.8)(64bit)  
libdl.so.2()(64bit)  
libdl.so.2(GLIBC_2.2.5)(64bit)  
libexpat.so.1()(64bit)  
libm.so.6()(64bit)  
libm.so.6(GLIBC_2.2.5)(64bit)  
libncurses.so.5()(64bit)  
libpython2.6.so.1.0()(64bit)  
libreadline.so.5()(64bit)  
libtinfo.so.5()(64bit)  
python(abi) = 2.6
python-libs  
readline  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)

Note You need to log in before you can comment on or make changes to this bug.